### Constructor

# FwupdPlugin EfiX509Device new

#### Declaration [src]

    FuEfiX509Device*
    fu_efi_x509_device_new (
      FuContext* ctx,
      FuEfiX509Signature* sig
    )

#### Description [src]

Creates a new X.509 EFI device.

Available since: | 2.0.8

#### Parameters

`ctx` | `FuContext`
| A `FuContext`.
| The data is owned by the caller of the function.
`sig` | `FuEfiX509Signature`
| A `FuEfiX509Signature`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `FuEfiX509Device`
| A `FuEfiX509Device`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.